<?php
/* ======================================================
 # Fix 404 Error Links for Joomla! - v2.2.7 (free version)
 # -------------------------------------------------------
 # For Joomla! CMS (v3.x)
 # Author: Web357 (Yiannis Christodoulou)
 # Copyright (©) 2014-2023 Web357. All rights reserved.
 # License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
 # Website: https:/www.web357.com
 # Demo: https://demo.web357.com/joomla/fix-404-error-links
 # Support: support@web357.com
 # Last modified: Saturday 03 February 2024, 03:19:21 AM
 ========================================================= */
// No direct access to this file
defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Form\Field\MenuitemField;

HTMLHelper::addIncludePath(JPATH_COMPONENT . '/helpers/');
HTMLHelper::_('bootstrap.tooltip');

class JFormFieldW357menuitem extends MenuitemField
{
    /**
     *  Method to render the input field
     *
     *  @return  string  
     */
    function getInput()
    {   
        // Adds an extra info label next to input
		$html 	= array();
		$html[] = parent::getInput();

        // Adds a link next to input
		$preview = $this->element['preview'] == 'true' ? true : false;
		$preview_link_txt = Text::_('COM_FIX404ERRORLINKS_PREVIEW_LINK');
		$field = 'jform_'.$this->element['name'];

		if ($preview)
        {
			$live_url = str_replace('/administrator','',Uri::base());
			$empty_url_txt = Text::_('COM_FIX404ERRORLINKS_EMPTY_URL');
			$javascript = <<<JS

			function menuitemRedirection(e)
			{
				var field_menu_item = document.getElementById(e).value;

				if (field_menu_item) 
				{
					var menu_item_url_to_redirect = "$live_url" + "index.php?Itemid=" + field_menu_item;
					window.open(menu_item_url_to_redirect, '_blank');
				}
				else
				{
					alert("$empty_url_txt");
					return false;
				}
			}

			function showMenuItemURL(th,e)
			{
				var field_menu_item = document.getElementById(e).value;
				if (field_menu_item) 
				{
					var menu_item_url_to_redirect = "$live_url" + "index.php?Itemid=" + field_menu_item;
					th.title = "$preview_link_txt" + ": " + menu_item_url_to_redirect;
				}
			}
JS;
			Factory::getDocument()->addScriptDeclaration($javascript);
			
            //$html[] = '<button type="button" class="btn btn-small" onclick="menuitemRedirection(\''.$field.'\')" style="margin-left: 5px;" title="'.Text::_('COM_FIX404ERRORLINKS_PREVIEW_LINK').'" onmouseover="showMenuItemURL(this, \''.$field.'\')"><span class="icon-link"></span></button>';
        }

        return implode('', $html);
    }
}